PrimordialLogSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.PrimordialLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class PrimordialLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.HoldingLogChute
          org.apache.velocity.runtime.log.PrimordialLogSystem

All Implemented Interfaces:
  LogChute, LogSystem

Deprecated. Use HoldingLogChute instead!

public class PrimordialLogSystem
extends org.apache.velocity.runtime.log.HoldingLogChute
implements LogSystem

Pre-init logger. I believe that this was suggested by Carsten Ziegeler and Jeroen C. van Gelderen. If this isn't correct, let me know as this was a good idea...

Version:
  $Id: PrimordialLogSystem.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`PrimordialLogSystem()` Deprecated.

Method Summary
`void` | `dumpLogMessages(LogSystem newLogger)` Deprecated. use transferTo(LogChute newChute)
`void` | `init(RuntimeServices rs)` Initializes this LogSystem.
`boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
`void` | `log(int level, String message)` Logs messages.
`void` | `log(int level, String message, Throwable t)` Logs messages and errors.
`void` | `logVelocityMessage(int level, String message)` Deprecated. Use log(level, message).
`void` | `transferTo(LogChute newChute)` Dumps the log messages this chute is holding into a new chute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.velocity.runtime.log.LogSystem
`init`

Constructor Detail

### PrimordialLogSystem

    public PrimordialLogSystem()

  Deprecated.

Method Detail

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   String message)

  Deprecated. Use log(level, message).

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` -
    `message` -

### dumpLogMessages

    public void dumpLogMessages(LogSystem newLogger)

  Deprecated. use transferTo(LogChute newChute)

  Parameters:
    `newLogger` -

### init

    public void init(RuntimeServices rs)
              throws Exception

  Description copied from interface: `LogChute`
  Initializes this LogChute.

  Specified by:
    `init` in interface `LogChute`
  Parameters:
    `rs` -
  Throws:
    `Exception`
  See Also:
    `LogChute.init(org.apache.velocity.runtime.RuntimeServices)`

### log

    public void log(int level,
                    String message)

  Logs messages. All we do is store them until 'later'.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message

### log

    public void log(int level,
                    String message,
                    Throwable t)

  Logs messages and errors. All we do is store them until 'later'.

  Specified by:
    `log` in interface `LogChute`
  Parameters:
    `level` - severity level
    `message` - complete error message
    `t` - the accompanying java.lang.Throwable

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Description copied from interface: `LogChute`
  Tell whether or not a log level is enabled.

  Specified by:
    `isLevelEnabled` in interface `LogChute`
  Parameters:
    `level` -
  Returns:
    True if a level is enabled.
  See Also:
    `LogChute.isLevelEnabled(int)`

### transferTo

    public void transferTo(LogChute newChute)

  Dumps the log messages this chute is holding into a new chute

  Parameters:
    `newChute` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.